revert ARM to oabi by default, add some eabi patches for fixing up the toolchain...
[openwrt/svn-archive/archive.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_VERSION_3_4_6 if LINUX_2_4
6 default GCC_VERSION_4_2_0 if TARGET_magicbox
7 default GCC_VERSION_4_2_3 if TARGET_avr32
8 default GCC_VERSION_4_1_2
9 help
10 Select the version of gcc you wish to use.
11
12 config GCC_VERSION_3_4_6
13 bool "gcc 3.4.6"
14
15 config GCC_VERSION_4_1_2
16 depends !LINUX_2_4
17 bool "gcc 4.1.2"
18
19 config GCC_VERSION_4_2_0
20 depends !LINUX_2_4
21 bool "gcc 4.2.0"
22
23 config GCC_VERSION_4_2_1
24 depends !LINUX_2_4
25 bool "gcc 4.2.1"
26
27 config GCC_VERSION_4_2_2
28 depends !LINUX_2_4
29 bool "gcc 4.2.2"
30
31 config GCC_VERSION_4_2_3
32 depends !LINUX_2_4
33 bool "gcc 4.2.3"
34
35 endchoice
36
37 config EABI_SUPPORT
38 bool
39 depends arm||armeb
40 depends BROKEN
41 prompt "Enable EABI support" if TOOLCHAINOPTS
42 default n
43 help
44 Enable ARM EABI support
45
46 config EXTRA_GCC_CONFIG_OPTIONS
47 string
48 prompt "Additional gcc options" if TOOLCHAINOPTS
49 default ""
50 help
51 Any additional gcc options you may want to include....
52
53 config INSTALL_LIBSTDCPP
54 bool
55 prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
56 default y
57 help
58 Build/install c++ compiler and libstdc++?
59
60 config INSTALL_LIBGCJ
61 bool
62 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
63 default n
64 help
65 Build/install java compiler and GNU classpath ?